<html>
<head>
<style>
body {
    font-family: Arial;
    width: 550px;
}

h2 {
    margin: 20px 0px;
}

.thumbnail-form-container {
    background: #ccc;
    border: #e0dfdf 1px solid;
    padding: 40px;
    border-radius: 2px;
}

.btn-submit {
    padding: 10px 20px;
    background: #333;
    border: #1d1d1d 1px solid;
    color: #f0f0f0;
    font-size: 0.9em;
    width: 90px;
    border-radius: 2px;
    cursor: pointer;
}

.input-field {
    width: 100%;
    border-radius: 2px;
    padding: 10px;
    border: #e0dfdf 1px solid;
}

.thumbnail {
    margin-top: 20px;
}
</style>
</head>
<body>
    <div class="thumbnail-form-container">
        <form method="post" action="">
            <input class="input-field" type="text" name="url"
                placeholder="Enter URL"><br />
            <br /> <input class="btn-submit" type="submit" name="submit"
                value="Submit">
        </form>
    </div>
    <?php
    if (isset($_POST['submit'])) {
        $url = $_POST['url'];
        $value = explode("v=", $url);
        $videoId = $value[1];
        ?>
    <div class="thumbnail">
        <div id="videoDiv">
            <iframe id="iframe" style="width: 550px; height: 340px"
                src="//www.youtube.com/embed/<?php echo $videoId; ?>"
                data-autoplay-src="//www.youtube.com/embed/<?php echo $videoId; ?>?autoplay=1"></iframe>
        </div>
    </div>     
        <?php
        $apikey = 'YOUR_API_KEY';
        $googleApiUrl = 'https://www.googleapis.com/youtube/v3/videos?id=' . $videoId . '&key=' . $apikey . '&part=snippet';
        
        $ch = curl_init();
        
        curl_setopt($ch, CURLOPT_HEADER, 0);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        curl_setopt($ch, CURLOPT_URL, $googleApiUrl);
        curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
        curl_setopt($ch, CURLOPT_VERBOSE, 0);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
        $response = curl_exec($ch);
        
        curl_close($ch);
        
        $data = json_decode($response);
        
        $value = json_decode(json_encode($data), true);
        
        $title = $value['items'][0]['snippet']['title'];
        $description = $value['items'][0]['snippet']['description'];
        
        ?>
        <div id="titleDiv">
           <h2><?php echo $title; ?></h2>
           <p><u>Description</u>: <?php echo $description; ?></p>
         </div>
         <?php } ?>
</body>
</html>